
$breakpoint-small: 1200px;

html, body {
    height: 100%;
}

body {
    display: grid;
    padding: 20px 20px 20px 20px;
    grid-template-columns: [left] minmax(190px, 1fr) [middle] minmax(0px, 750px) [right] 1fr;
    grid-template-rows: [header] 50px [main] auto [footer] 50px;
    
    font-size: 1em;
    line-height: 1.6em;
    font-weight: 400;
    font-family: 'Merriweather', serif;
}

h1, h2, h3, h4, h5, h6 {
    margin: 0;
    padding: 0;
    font-weight: 700;
    font-family: 'Merriweather Sans', sans-serif;
}

h4, h5, h6 {
    font-weight: 300;
}

.content h1, .content h2, .content h3, .content h4, .content h5, .content h6 {
    font-weight: 700;
    font-family: 'Merriweather Sans', sans-serif;
    line-height: 3rem;
}

.content p {
    margin: 0 0 25px;
}


main {
    text-align: left;
    grid-row: main;
    grid-column: middle;

    @media (max-width: $breakpoint-small) {
        grid-column-start: left;
        grid-column-end: -1;
        padding: 20px;
        width: 100%;
        max-width: 750px;
        margin: 0 auto;
    }
}

.content img, .content video {
    display: block;
    margin-left: auto;
    margin-right: auto;
    max-width: 100%;
    max-height: 75%;
}

.content video {
    margin-bottom: 1em;
}

code {
    line-height: 1.1rem;
}

td, th {
    padding: 5px;
}

/* Homepage */

.intro {
    transform: translateY(22vh);
}

.intro > h1 {
    color: #212121;
    font-size: 12vh;
}

.intro > h2 {
    color: #757575;
    font-size: 3vmin;
}

/* Page content */

.content {
    padding-top: 00px;
}

/* Profile picture */

.profile {
    width: 10vh;
    height: 10vh;
    border-radius: 50%;
}

/* Colored links */

a:link, a:visited {
    color: var(--accent);
}



a.icon:hover {
    text-decoration: none;
}

a {
    text-decoration: none;
}

a:hover {
    color: var(--accent);
    text-decoration: underline;
}

/* Copyright message */

.copyright {
    margin: 15px 0;
}


/* List item for posts/projects */

.item {
    padding: 10px 0;
}

.item-tag {
    background-color: var(--accent);
}


.navbar {
    grid-column: left;
    grid-column-end: left;
    grid-column-end: -1;

    display: grid;
    grid-template-columns: [left] minmax(190px, 1fr) [middle] minmax(0px, 750px) [right] 1fr;
    grid-template-rows: auto;
    margin-top: 30px;
    
    
    
}

.nav {
    margin-top: 0;
    font-family: 'Merriweather Sans', sans-serif;
}

h1, h2, h3, h4 {
    margin-top: 0;
    margin-bottom: 0;
}

.logo-main-container {
    grid-column: left;
    display: flex;
    flex-direction: row;
    justify-content: right;
}

.logo-main {
    
}
    
.logo-divider {
    padding-left: 15px;
    padding-right: 15px;
    
}
.logo-middle {
    grid-column-start: middle;
    grid-column-end: -1;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    .logo-fab {
        display: flex;
        flex-direction: column;
        align-items: flex-start;
        color: black;
        text-decoration: none;
        &:hover {
            a {
                color: black;
            }
            text-decoration: underline;
        }
        .logo-fab-fab {
            font-weight: lighter;
        }
        .logo-fab-title {
            font-size: 0.8rem;
            margin-top: 5px;
            margin-left: 1px;
        }
    }
}

ul.nav {
    list-style: none;
    display: flex;
    li {
        padding-right: 20px;
        a {
            text-decoration: none;
            &:hover {
                text-decoration: underline;
            }
        }
    }
}

footer {
    grid-row: footer;
}